// 指定条件的公式执行
export default {
    execute: async function(){
        console.log("进入 “指定条件的公式执行” 前端公式");
        if(arguments && arguments[0]){
            let conditionFormula = arguments[0][0], excuteFormula = arguments[0][1]
            if (conditionFormula instanceof FunctionNode) {
                // 获取条件是否成立
                let funcResult = conditionFormula.getResult(), conditionResult = ''
                if(funcResult instanceof AbstractData) {
                    await funcResult.Value.then(res => {
                        conditionResult = res
                    })
                }
                // 条件成立执行公式
                if (conditionResult == 1 && excuteFormula instanceof FunctionNode) {
                    excuteFormula.getResult()
                }
            }
        }
    },
    getResultType:function(){
        return FMR.ConstDataTypes.General;
    }
}